//
//   Copyright 2018 DreamWorks Animation LLC.
//
//   Licensed under the Apache License, Version 2.0 (the "Apache License")
//   with the following modification; you may not use this file except in
//   compliance with the Apache License and the following modification to it:
//   Section 6. Trademarks. is deleted and replaced with:
//
//   6. Trademarks. This License does not grant permission to use the trade
//      names, trademarks, service marks, or product names of the Licensor
//      and its affiliates, except as required to comply with Section 4(c) of
//      the License and to reproduce the content of the NOTICE file.
//
//   You may obtain a copy of the Apache License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the Apache License with the above modification is
//   distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
//   KIND, either express or implied. See the Apache License for the specific
//   language governing permissions and limitations under the Apache License.
//

static const std::string loop_xord_interior =
"#\n"
"#   Nine shapes ordered left->right and top->bottom in the XZ and UV planes\n"
"#\n"
"#   Shape 1:  top-left, valence-3 ring\n"
"#\n"
"v -1.200 -0.5  1.200\n"
"v -0.700  0.0  1.200\n"
"v -1.450  0.0  1.633\n"
"v -1.450  0.0  0.767\n"
"\n"
"vt 0.182 0.818\n"
"vt 0.315 0.818\n"
"vt 0.116 0.932\n"
"vt 0.116 0.703\n"
"\n"
"f 1/1 2/2 3/3\n"
"f 4/4 1/1 3/3\n"
"f 4/4 2/2 1/1\n"
"\n"
"#\n"
"#   Shape 2:  top-middle, valence-4 ring\n"
"#\n"
"v  0.000 -0.5  1.200\n"
"v  0.500  0.0  1.200\n"
"v  0.000  0.0  1.700\n"
"v -0.500  0.0  1.200\n"
"v  0.000  0.0  0.700\n"
"\n"
"vt 0.500 0.818\n"
"vt 0.632 0.818\n"
"vt 0.500 0.950\n"
"vt 0.368 0.818\n"
"vt 0.500 0.685\n"
"\n"
"f 5/5 6/6 7/7\n"
"f 8/8 5/5 7/7\n"
"f 8/8 9/9 5/5\n"
"f 5/5 9/9 6/6\n"
"\n"
"#\n"
"#   Shape 3:  top-right, valence-5 ring\n"
"#\n"
"v  1.200 -0.5  1.200\n"
"v  1.700  0.0  1.200\n"
"v  1.355  0.0  1.676\n"
"v  0.795  0.0  1.494\n"
"v  0.795  0.0  0.906\n"
"v  1.355  0.0  0.724\n"
"\n"
"vt 0.818 0.818\n"
"vt 0.950 0.818\n"
"vt 0.859 0.944\n"
"vt 0.711 0.895\n"
"vt 0.711 0.740\n"
"vt 0.859 0.692\n"
"\n"
"f 10/10 11/11 12/12\n"
"f 13/13 10/10 12/12\n"
"f 13/13 14/14 10/10\n"
"f 10/10 14/14 15/15\n"
"f 10/10 15/15 11/11\n"
"\n"
"#\n"
"#   Shape 4:  center-left, valence-7 ring\n"
"#\n"
"v -1.200 -0.5  0.000\n"
"v -0.700  0.0  0.000\n"
"v -0.888  0.0  0.391\n"
"v -1.311  0.0  0.487\n"
"v -1.650  0.0  0.217\n"
"v -1.650  0.0 -0.217\n"
"v -1.311  0.0 -0.487\n"
"v -0.888  0.0 -0.391\n"
"\n"
"vt 0.182 0.500\n"
"vt 0.315 0.500\n"
"vt 0.265 0.603\n"
"vt 0.153 0.629\n"
"vt 0.063 0.557\n"
"vt 0.063 0.443\n"
"vt 0.153 0.371\n"
"vt 0.265 0.397\n"
"\n"
"f 16/16 17/17 18/18\n"
"f 19/19 16/16 18/18\n"
"f 19/19 20/20 16/16\n"
"f 16/16 20/20 21/21\n"
"f 16/16 21/21 22/22\n"
"f 16/16 22/22 23/23\n"
"f 16/16 23/23 17/17\n"
"\n"
"#\n"
"#   Shape 5:  center-middle, valence-8 ring\n"
"#\n"
"v  0.000 -0.5  0.000\n"
"v  0.500  0.0  0.000\n"
"v  0.354  0.0  0.354\n"
"v  0.000  0.0  0.500\n"
"v -0.354  0.0  0.354\n"
"v -0.500  0.0  0.000\n"
"v -0.354  0.0 -0.354\n"
"v  0.000  0.0 -0.500\n"
"v  0.354  0.0 -0.354\n"
"\n"
"vt 0.500 0.500\n"
"vt 0.632 0.500\n"
"vt 0.594 0.594\n"
"vt 0.500 0.632\n"
"vt 0.406 0.594\n"
"vt 0.368 0.500\n"
"vt 0.406 0.406\n"
"vt 0.500 0.368\n"
"vt 0.594 0.406\n"
"\n"
"f 24/24 25/25 26/26\n"
"f 27/27 24/24 26/26\n"
"f 27/27 28/28 24/24\n"
"f 24/24 28/28 29/29\n"
"f 24/24 29/29 30/30\n"
"f 24/24 30/30 31/31\n"
"f 24/24 31/31 32/32\n"
"f 24/24 32/32 25/25\n"
"\n"
"#\n"
"#   Shape 6:  center-right, valence-9 ring\n"
"#\n"
"v  1.200 -0.5  0.000\n"
"v  1.700  0.0  0.000\n"
"v  1.583  0.0  0.321\n"
"v  1.287  0.0  0.492\n"
"v  0.950  0.0  0.433\n"
"v  0.730  0.0  0.171\n"
"v  0.730  0.0 -0.171\n"
"v  0.950  0.0 -0.433\n"
"v  1.287  0.0 -0.492\n"
"v  1.583  0.0 -0.321\n"
"\n"
"vt 0.818 0.500\n"
"vt 0.950 0.500\n"
"vt 0.919 0.585\n"
"vt 0.841 0.630\n"
"vt 0.751 0.615\n"
"vt 0.693 0.545\n"
"vt 0.693 0.455\n"
"vt 0.751 0.385\n"
"vt 0.841 0.370\n"
"vt 0.919 0.415\n"
"\n"
"f 33/33 34/34 35/35\n"
"f 36/36 33/33 35/35\n"
"f 36/36 37/37 33/33\n"
"f 33/33 37/37 38/38\n"
"f 33/33 38/38 39/39\n"
"f 33/33 39/39 40/40\n"
"f 33/33 40/40 41/41\n"
"f 33/33 41/41 42/42\n"
"f 33/33 42/42 34/34\n"
"\n"
"#\n"
"#   Shape 7:  bottom-left, valence-10 ring\n"
"#\n"
"v -1.200 -0.5 -1.200\n"
"v -0.700  0.0 -1.200\n"
"v -0.795  0.0 -0.906\n"
"v -1.045  0.0 -0.724\n"
"v -1.355  0.0 -0.724\n"
"v -1.605  0.0 -0.906\n"
"v -1.700  0.0 -1.200\n"
"v -1.605  0.0 -1.494\n"
"v -1.355  0.0 -1.676\n"
"v -1.045  0.0 -1.676\n"
"v -0.795  0.0 -1.494\n"
"\n"
"vt 0.182 0.182\n"
"vt 0.315 0.182\n"
"vt 0.289 0.260\n"
"vt 0.223 0.308\n"
"vt 0.141 0.308\n"
"vt 0.075 0.260\n"
"vt 0.050 0.182\n"
"vt 0.075 0.105\n"
"vt 0.141 0.056\n"
"vt 0.223 0.056\n"
"vt 0.289 0.105\n"
"\n"
"f 43/43 44/44 45/45\n"
"f 46/46 43/43 45/45\n"
"f 46/46 47/47 43/43\n"
"f 43/43 47/47 48/48\n"
"f 43/43 48/48 49/49\n"
"f 43/43 49/49 50/50\n"
"f 43/43 50/50 51/51\n"
"f 43/43 51/51 52/52\n"
"f 43/43 52/52 53/53\n"
"f 43/43 53/53 44/44\n"
"\n"
"#\n"
"#   Shape 8:  bottom-middle, valence-11 ring\n"
"#\n"
"v  0.000 -0.5 -1.200\n"
"v  0.500  0.0 -1.200\n"
"v  0.421  0.0 -0.930\n"
"v  0.208  0.0 -0.745\n"
"v -0.071  0.0 -0.705\n"
"v -0.327  0.0 -0.822\n"
"v -0.480  0.0 -1.059\n"
"v -0.480  0.0 -1.341\n"
"v -0.327  0.0 -1.578\n"
"v -0.071  0.0 -1.695\n"
"v  0.208  0.0 -1.655\n"
"v  0.421  0.0 -1.470\n"
"\n"
"vt 0.500 0.182\n"
"vt 0.632 0.182\n"
"vt 0.611 0.254\n"
"vt 0.555 0.303\n"
"vt 0.481 0.313\n"
"vt 0.413 0.282\n"
"vt 0.373 0.220\n"
"vt 0.373 0.145\n"
"vt 0.413 0.082\n"
"vt 0.481 0.051\n"
"vt 0.555 0.062\n"
"vt 0.611 0.111\n"
"\n"
"f 54/54 55/55 56/56\n"
"f 57/57 54/54 56/56\n"
"f 57/57 58/58 54/54\n"
"f 54/54 58/58 59/59\n"
"f 54/54 59/59 60/60\n"
"f 54/54 60/60 61/61\n"
"f 54/54 61/61 62/62\n"
"f 54/54 62/62 63/63\n"
"f 54/54 63/63 64/64\n"
"f 54/54 64/64 65/65\n"
"f 54/54 65/65 55/55\n"
"\n"
"#\n"
"#   Shape 9:  bottom-right, valence-12 ring\n"
"#\n"
"v  1.200 -0.5 -1.200\n"
"v  1.700  0.0 -1.200\n"
"v  1.633  0.0 -0.950\n"
"v  1.450  0.0 -0.767\n"
"v  1.200  0.0 -0.700\n"
"v  0.950  0.0 -0.767\n"
"v  0.767  0.0 -0.950\n"
"v  0.700  0.0 -1.200\n"
"v  0.767  0.0 -1.450\n"
"v  0.950  0.0 -1.633\n"
"v  1.200  0.0 -1.700\n"
"v  1.450  0.0 -1.633\n"
"v  1.633  0.0 -1.450\n"
"\n"
"vt 0.818 0.182\n"
"vt 0.950 0.182\n"
"vt 0.932 0.249\n"
"vt 0.884 0.297\n"
"vt 0.818 0.315\n"
"vt 0.751 0.297\n"
"vt 0.703 0.249\n"
"vt 0.685 0.182\n"
"vt 0.703 0.116\n"
"vt 0.751 0.068\n"
"vt 0.818 0.050\n"
"vt 0.884 0.068\n"
"vt 0.932 0.116\n"
"\n"
"f 66/66 67/67 68/68\n"
"f 69/69 66/66 68/68\n"
"f 69/69 70/70 66/66\n"
"f 66/66 70/70 71/71\n"
"f 66/66 71/71 72/72\n"
"f 66/66 72/72 73/73\n"
"f 66/66 73/73 74/74\n"
"f 66/66 74/74 75/75\n"
"f 66/66 75/75 76/76\n"
"f 66/66 76/76 77/77\n"
"f 66/66 77/77 78/78\n"
"f 66/66 78/78 67/67\n"
"\n"
;
